/**
 * @file    GoNotificationType.cs
 *
 * @internal
 * Copyright (C) 2022-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */
using System;
using System.Runtime.Serialization;

namespace GoPxLSdk
{
    public enum GoNotificationType
    {
        /// <summary>
        /// A resource was created.
        /// </summary>
        [EnumMember(Value = "created")]
        Created,

        /// <summary>
        /// A resource was deleted.
        /// </summary>
        [EnumMember(Value = "deleted")]
        Deleted,

        /// <summary>
        /// A resource was updated.
        /// </summary>
        [EnumMember(Value = "changed")]
        Changed
    };
}