/**
 * @file    GoRequestMethod.cs
 *
 * @internal
 * Copyright (C) 2022-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */
using System.Runtime.Serialization;

namespace GoPxLSdk
{
    public enum GoRequestMethod
    {
        /// <summary>
        /// A Create request
        /// </summary>
        [EnumMember(Value = "create")]
        Create,

        /// <summary>
        ///  A Read request
        /// </summary>
        [EnumMember(Value = "read")]
        Read,

        /// <summary>
        /// A Update request
        /// </summary>
        [EnumMember(Value = "update")]
        Update,

        /// <summary>
        ///  A Delete request
        /// </summary>
        [EnumMember(Value = "delete")]
        Delete,

        /// <summary>
        /// A Call request
        /// </summary>
        [EnumMember(Value = "call")]
        Call,

        /// <summary>
        /// A Subscribe request
        /// </summary>
        [EnumMember(Value = "sub")]
        Sub,

        /// <summary>
        /// An Unsubscribe request
        /// </summary>
        [EnumMember(Value = "unsub")]
        UnSub,

        /// <summary>
        /// An List Sub request
        /// </summary>
        [EnumMember(Value = "listSub")]
        ListSub,

        /// <summary>
        /// An Clear Sub request
        /// </summary>
        [EnumMember(Value = "clearSub")]
        ClearSub,

        /// <summary>
        /// A Start stream request
        /// </summary>
        [EnumMember(Value = "stream")]
        Stream,

        /// <summary>
        /// A Stop stream request
        /// </summary>
        [EnumMember(Value = "cancelStream")]
        CancelStream,

        /// <summary>
        /// A List stream request
        /// </summary>
        [EnumMember(Value = "listStream")]
        ListStream,
    };
}