/**
 * @file    GoResponseType.cs
 *
 * @internal
 * Copyright (C) 2022-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */

namespace GoPxLSdk
{
    public enum GoResponseType
    {
        /// <summary>
        ///  A reply to a request (e.g. Read or Update).
        /// </summary>
        Request,

        /// <summary>
        /// A change notification.
        /// </summary>
        Notification,

        /// <summary>
        /// A streamed message.
        /// </summary>
        Stream,

        // TODO: This should replace Request. This enum value is needed when
        // processing json reply in GoCtrlChannelV1::ProcessResponse().
        Response
    };
}